Add child Feature button  in Relation Reference Widget (n:m-Relations)
Status: Closed

Priority: High

Assignee: Matthias Kuhn

Category: Forms

Affected QGIS version:2.18.9 Regression?: No

Operating System: Windows 7 Pro 64 bit Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 24535

Description

When activating the Editing mode (in the main window) the "Add child Feature" button in form doesn't become active whereas the "Link

existing child Features" button does.

Deactivating the Editing mode activates the "Add child Feature" button, but when clicking on it nothing happens.

Adding a child feature only works if an existing feature is selected first (after activating the Editing mode). Then all 4 buttons become

active.

Associated revisions

Revision 1318518f - 2017-05-31 03:06 PM - Matthias Kuhn 

Update buttons on referenced layer edit state change in N:M

Fix #16635

Revision 30eec2b3 - 2017-11-14 11:08 AM - Matthias Kuhn 

Update buttons on referenced layer edit state change in N:M

Fix #16635

History

#1 - 2017-05-31 03:07 PM - Anonymous

- % Done changed from 0 to 100

- Status changed from Open to Closed

Applied in changeset commit:qgis|1318518ff3adabc17038c68c1a429e702737d4b0.
